Package dev.plex.event

# Class PunishedPlayerLockupEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
dev.plex.event.PunishedPlayerEvent
dev.plex.event.PunishedPlayerLockupEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

public class PunishedPlayerLockupEvent extends PunishedPlayerEvent implements org.bukkit.event.Cancellable
Event that is called when a player is frozen or unfrozen

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bukkit.event.Event

  `org.bukkit.event.Event.Result`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final org.bukkit.event.HandlerList`
  `handlers`
  `private final boolean`
  `lockedUp`
  New lock up state of the player

  ### Fields inherited from class dev.plex.event.PunishedPlayerEvent

  `cancelled, punishedPlayer`

  ### Fields inherited from class org.bukkit.event.player.PlayerEvent

  `player`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PunishedPlayerLockupEvent(PlexPlayer punishedPlayer, boolean lockedUp)`
  Creates a new event instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.bukkit.event.HandlerList`
  `getHandlerList()`
  `org.bukkit.event.HandlerList`
  `getHandlers()`

  ### Methods inherited from class org.bukkit.event.player.PlayerEvent

  `getPlayer`

  ### Methods inherited from class org.bukkit.event.Event

  `callEvent, getEventName, isAsynchronous`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.bukkit.event.Cancellable

  `isCancelled, setCancelled`

- ## Field Details

  - ### handlers

    private static final org.bukkit.event.HandlerList handlers

  - ### lockedUp

    private final boolean lockedUp
    New lock up state of the player

- ## Constructor Details

  - ### PunishedPlayerLockupEvent

    public PunishedPlayerLockupEvent(PlexPlayer punishedPlayer, boolean lockedUp)
    Creates a new event instance
    Parameters:
      `punishedPlayer` - The player who was punished
      `lockedUp` - The new muted status

- ## Method Details

  - ### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

  - ### getHandlers

    public org.bukkit.event.HandlerList getHandlers()
    Specified by:
      `getHandlers` in class `org.bukkit.event.Event`